Package org.eclipse.emf.cdo.ui.compare

# Class CDOCompareEditorUtil.InputHolder

java.lang.Object
org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.InputHolder

All Implemented Interfaces:
  `Consumer<CDOCompareEditorUtil.Input>`

Enclosing class:
  CDOCompareEditorUtil

public static class CDOCompareEditorUtil.InputHolder extends Object implements Consumer<CDOCompareEditorUtil.Input>

Since:
  4.6
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`InputHolder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(CDOCompareEditorUtil.Input input)`
`CDOCompareEditorUtil.Input`
`getInput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Constructor Details

### InputHolder

public InputHolder()

## Method Details

### getInput

public CDOCompareEditorUtil.Input getInput()

### accept

public void accept(CDOCompareEditorUtil.Input input)

Specified by:
  `accept` in interface `Consumer<CDOCompareEditorUtil.Input>`